Package org.jfree.layouting.layouter.content.statics

## Class ResourceContentToken

- java.lang.Object
- - org.jfree.layouting.layouter.content.statics.StaticToken
  - - org.jfree.layouting.layouter.content.statics.ResourceContentToken

- All Implemented Interfaces:
    `ContentToken`, `GenericType`, `ResourceType`

      public class ResourceContentToken
      extends StaticToken
      implements ResourceType, GenericType

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceContentToken​(org.pentaho.reporting.libraries.resourceloader.Resource content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.pentaho.reporting.libraries.resourceloader.Resource` | `getContent​()` |
    `java.lang.Object` | `getRaw​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceContentToken

          public ResourceContentToken​(org.pentaho.reporting.libraries.resourceloader.Resource content)

  - ### Method Detail

    - #### getRaw

          public java.lang.Object getRaw​()

      Specified by:
        `getRaw` in interface `GenericType`

    - #### getContent

          public org.pentaho.reporting.libraries.resourceloader.Resource getContent​()

      Specified by:
        `getContent` in interface `ResourceType`